> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superbank.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create webhook endpoint

> Create a new webhook endpoint to receive payment event notifications.



## OpenAPI

````yaml /openapi/v0/openapi.json post /v0/webhooks
openapi: 3.0.0
info:
  title: Superbank API
  description: Superbank Developer API for Instant Settlement
  version: '1.0'
  contact: {}
servers:
  - url: https://api-sandbox.superbank.co
    description: Sandbox
security: []
tags: []
paths:
  /v0/webhooks:
    post:
      tags:
        - Webhooks
      summary: Create webhook endpoint
      description: Create a new webhook endpoint to receive payment event notifications.
      operationId: OutboundWebhookController_createWebhook
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWebhookDto'
      responses:
        '201':
          description: Webhook endpoint created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookEndpoint'
        '400':
          description: Bad request - invalid URL
        '401':
          description: Unauthorized - invalid or missing API key
      security:
        - api-key: []
components:
  schemas:
    CreateWebhookDto:
      type: object
      properties:
        url:
          type: string
          description: HTTPS URL to receive webhook notifications
          example: https://your-app.com/webhooks/superbank
      required:
        - url
    WebhookEndpoint:
      type: object
      properties: {}
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-Api-Key

````